<?php
include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
require("fpdf.php");
//
class PDF extends FPDF
{
function Footer()
{
    // Posición: a 1,5 cm del final
    $this->SetY(-15);
    // Arial italic 8
    $this->SetFont('Arial','',8);
    // Número de página
    $this->Cell(0,10,'Pag '.$this->PageNo(),0,0,'C');
}
}
//
$pdf = new PDF('P','mm',A4);
$pdf->AddPage();
$pdf->SetFont('courier','',10);
$x=0;$y=0;
$S="SELECT COD,DESCRIPCION,MARCA,PC_SOL,PV_MAX FROM vproductos ";
$F=explode(",", "10,40,15,7,7");
$A=explode(",", " 0, 0, 0,1,1");
if("IE"=="XX"){
	$l=0;
	$Y=$y;
	$cx=0;
	$result = grs($S);				
	while ($row = $result->fetch_row()){	
		$l=$l+1;
		$XX=0;
		for($f=0;$f<5;$f++){		
			$Len=$F[$f];
			$AL=$A[$f];
			$Ancho=($Len * 0.2);
			xy($x+$XX,$Y,substr($row[$f],0,$Len),$Ancho,$AL);
			$XX=$XX+$Ancho+0.4;
		}
		if($l%75==0){
			$l=0;
		}
		$Y=$Y+0.4;
	}
}
$l=0;
$result = grs($S);				
while ($row = $result->fetch_row()){	
	$l=$l+1;
	$StrLin="";
	for($f=0;$f<5;$f++){		
		$Len=$F[$f];
		$AL=$A[$f];		
		if($AL==1){
			$StrD=vbr(vbfill(" ",$Len).number_format($row[$f],1,".",""),$Len);
		}else{
			$StrD=vbmid(vbfill($row[$f],$Len),1,$Len);
		}
		$StrLin=$StrLin.$StrD."  ";
	}
	$pdf->Cell(0,4,$StrLin,0,1);
	if($l==66)$l=0;
}
$pdf->Output();
?>
